Go to index page.

# rgb2gif

A program to convert 24 bit images to a GIF image using color quantization.

# Usage:

    rgb2gif [-q] [-c #Colors] [-1] -s Width Height [-h] RGBFile

If no RGBFile is given, RGB2Gif will try to read a GIF file from stdin.

# Memory required:

Screen.

# Options:

[-q]
  Quiet mode. Defaulte off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-c #Colors]
  Specifies number of colors to use, in bits per pixels, so '-c 8' specifies actually 256 colors (maximum and default).

[-1]
  Only one file in the format of RGBRGB... triplets (Each of R, G, B is a byte) is read from input. This file size is 3 * Width * Height (see '-s' below. If stdin is used for input, this option is implicitly applied. The default (if not '-1') is 3 files with the names RGBFile.R, RGBFile.G, RGBFile.B, each of which is Width * Height bytes.

[-s Width Height]
  Specifies the size of the image to read.

[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber